<?php 
require_once("../datos/mysqlproyecto.php");
 $p = new mysqlproyecto();
 require_once("../PHPExcel_1.8.0_doc/Classes/PHPExcel.php");
 $objPHPExcel = new PHPExcel();
 $url = $_POST['rutaUrl'];
 $data = array();
      function add_propiedades($Proyecto,$Etapa,$Edificio,$Numero,$Modelo,$Piso,$FecEscritura,$Rut,$Nombre,
                                $ApellidoPaterno,$ApellidoMaterno,$Email,$Celular,$TelefonoOficina,$Dirección){
      global $data;
    			  $data []= array(
                        'PROYECTO' => $Proyecto,
                        'ETAPA' => $Etapa ,
                        'EDIFICIO' => $Edificio ,
                        'MODELO' => $Modelo ,
                        'NUMERO' => $Numero,
                        'PISO' => $Piso ,
                        'FECHA_ESCRITURA' => $FecEscritura,
                        'RUT' => $Rut,
                        'NOMBRE' => $Nombre ,
                        'APE_PATERNO' => $ApellidoPaterno ,
                        'APE_MATERNO' => $ApellidoMaterno ,
                        'EMAIL' => $Email ,
                        'CELULAR' => $Celular ,
                        'TEL_OFICINA' => $TelefonoOficina,
                        'DIRECCION' => $Dirección ,	
    			  );
    }
    if(isset($_FILES['file']['name'])&&$_FILES['file']['name']!=""){
    				$name = $_FILES['file']['name'];
    				$tname = $_FILES['file']['tmp_name'];
    				$inputFileType = PHPExcel_IOFactory::identify($tname);
                    $objReader = PHPExcel_IOFactory::createReader($inputFileType);  
                    $objReader->setReadDataOnly(true);
                    $objPHPExcel = $objReader->load($tname);
                    $total_sheets=$objPHPExcel->getSheetCount(); 
                    $allSheetName=$objPHPExcel->getSheetNames(); 
                    $objWorksheet = $objPHPExcel->setActiveSheetIndex(0); 
                    $highestRow = $objWorksheet->getHighestRow(); 
                    $highestColumn = $objWorksheet->getHighestColumn();  
                    $highestColumnIndex = PHPExcel_Cell::columnIndexFromString($highestColumn); 
                    //EMPIECE ROW 2
                    for ($row = 2; $row <= $highestRow;++$row){  
                        $Proyecto=$objWorksheet->getCellByColumnAndRow(0, $row)->getFormattedValue();  
                        $Etapa =$objWorksheet-> getCellByColumnAndRow(1, $row)->getFormattedValue(); 
                        $Edificio =$objWorksheet-> getCellByColumnAndRow(2, $row)->getFormattedValue(); 
                        $Numero =$objWorksheet-> getCellByColumnAndRow(3, $row)->getFormattedValue(); 
                        $Modelo = $objWorksheet->getCellByColumnAndRow(4, $row)->getFormattedValue(); 
                        $Piso= $objWorksheet->getCellByColumnAndRow(5, $row)->getFormattedValue(); 
                        $FecEscritura= $objWorksheet->getCellByColumnAndRow(6, $row)->getFormattedValue(); 
                        $Rut=$objWorksheet-> getCellByColumnAndRow(7, $row)->getFormattedValue(); 
                        $Nombre=$objWorksheet-> getCellByColumnAndRow(8, $row)->getFormattedValue(); 
                        $ApellidoPaterno=$objWorksheet-> getCellByColumnAndRow(9, $row)->getFormattedValue(); 
                        $ApellidoMaterno= $objWorksheet->getCellByColumnAndRow(10, $row)->getFormattedValue(); 
                        $Email=$objWorksheet-> getCellByColumnAndRow(11, $row)->getFormattedValue(); 
                        $Celular= $objWorksheet->getCellByColumnAndRow(12, $row)->getFormattedValue(); 
                        $TelefonoOficina= $objWorksheet->getCellByColumnAndRow(13, $row)->getFormattedValue(); 
                        $Dirección=$objWorksheet-> getCellByColumnAndRow(14, $row)->getFormattedValue(); 
                        add_propiedades($Proyecto,$Etapa,$Edificio,$Numero,$Modelo,$Piso,$FecEscritura,$Rut,$Nombre,
                                        $ApellidoPaterno,$ApellidoMaterno,$Email,$Celular,$TelefonoOficina,$Dirección);
                    }
    }
$resultado = $p->CargaryActualizaciondepartamentos($data);
echo  "<h1>Operación realizada con exito<br></h1><a href='$url'> Voler Atras </a>";
?>




